
local LDB_PitchSpeed = _G.CreateFrame("Frame", "LDB_PitchSpeed")
LDB_PitchSpeed.obj = _G.LibStub("LibDataBroker-1.1"):NewDataObject("LDB_PitchSpeed", {label = "Pitch/Speed", type = "data source", icon = "Interface\\Icons\\Ability_Druid_FlightForm", text = ""})
_G.LibStub("AceTimer-3.0"):Embed(LDB_PitchSpeed)

local GetUnitSpeed = _G.GetUnitSpeed
local GetUnitPitch = _G.GetUnitPitch
local txt = "%.2f %.1f"
local player = "player"
local fmt = string.format
local timer = nil

function LDB_PitchSpeed:Update()
	local s = GetUnitSpeed(player)
	local p = GetUnitPitch(player)

	self.obj.text = fmt(txt, p, (s / 7) * 100)
end

LDB_PitchSpeed:SetScript("OnEvent", function()
--	if IsInInstance() then
--		LDB_PitchSpeed:CancelTimer(timer, true)
--		LDB_PitchSpeed.obj.text = ""
--	else
		LDB_PitchSpeed:CancelTimer(timer, true)
		timer = LDB_PitchSpeed:ScheduleRepeatingTimer("Update", 0.1)
--	end
end)
LDB_PitchSpeed:RegisterEvent("PLAYER_ENTERING_WORLD")
